Nini Library API Reference - http://nini.sourceforge.net/ |

# IniSection Methods

The methods of the IniSection class are listed below. For a complete list of IniSection class members, see the IniSection Members topic.

#### Public Instance Methods

Contains | Returns true if the key exists; false if it does not.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetItem | Returns the IniItem at the given index.
GetKeys | Returns the list of section keys.
GetType (inherited from Object) | Gets the Type of the current instance.
GetValue | Returns the value of the given key.
Remove | Removes the supplied key.
Set | Overloaded. Sets a key value and a comment.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

IniSection Class | Nini.Ini Namespace